public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: media-plugins/vdr-satip/, media-plugins/vdr-satip/files/
@ 2016-09-27 11:11 Joerg Bornkessel
  0 siblings, 0 replies; 2+ messages in thread
From: Joerg Bornkessel @ 2016-09-27 11:11 UTC (permalink / raw
  To: gentoo-commits

commit:     ad6d1c2f37145ba24dce788b556827893ea7d4b5
Author:     Joerg Bornkessel <hd_brummy <AT> gentoo <DOT> org>
AuthorDate: Tue Sep 27 11:10:31 2016 +0000
Commit:     Joerg Bornkessel <hd_brummy <AT> gentoo <DOT> org>
CommitDate: Tue Sep 27 11:10:31 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ad6d1c2f

media-plugins/vdr-satip: fixed gcc-6 compile; wrt bug 594170

Package-Manager: portage-2.3.0

 .../vdr-satip/files/vdr-satip-2.2.3_c++11.patch    | 28 ++++++++++++++++++
 media-plugins/vdr-satip/vdr-satip-2.2.3-r1.ebuild  | 33 ++++++++++++++++++++++
 2 files changed, 61 insertions(+)

diff --git a/media-plugins/vdr-satip/files/vdr-satip-2.2.3_c++11.patch b/media-plugins/vdr-satip/files/vdr-satip-2.2.3_c++11.patch
new file mode 100644
index 00000000..102e8e9
--- /dev/null
+++ b/media-plugins/vdr-satip/files/vdr-satip-2.2.3_c++11.patch
@@ -0,0 +1,28 @@
+common.h still use function typeof,
+this was never defined part of c++ and is
+not supported in c++11 anymore
+so we revert back to gnu++03 as it is not fixed by upstream
+Signed-of-by: Joerg Bornkessel <hd_brummy@gentoo.org> (2016/aug/01)
+diff -Naur satip-2.2.3.orig/Makefile satip-2.2.3/Makefile
+--- satip-2.2.3.orig/Makefile	2016-08-03 23:17:36.769080128 +0200
++++ satip-2.2.3/Makefile	2016-08-03 23:18:36.399080128 +0200
+@@ -32,6 +32,7 @@
+ 
+ export CFLAGS   = $(call PKGCFG,cflags)
+ export CXXFLAGS = $(call PKGCFG,cxxflags)
++export CXXFLAGS += -std=gnu++03
+ STRIP = true
+ 
+ ### The version number of VDR's plugin API:
+diff -Naur satip-2.2.3.orig/common.h satip-2.2.3/common.h
+--- satip-2.2.3.orig/common.h	2016-08-07 02:54:27.290440336 +0200
++++ satip-2.2.3/common.h	2016-08-07 02:54:53.193773669 +0200
+@@ -52,7 +52,7 @@
+   do {                                                       \
+      if (exp) {                                              \
+         char tmp[64];                                        \
+-        esyslog("[%s,%d]: "errstr": %s", __FILE__, __LINE__, \
++        esyslog("[%s,%d]: " errstr ": %s", __FILE__, __LINE__, \
+                 strerror_r(errno, tmp, sizeof(tmp)));        \
+         func;                                                \
+         ret;                                                 \

diff --git a/media-plugins/vdr-satip/vdr-satip-2.2.3-r1.ebuild b/media-plugins/vdr-satip/vdr-satip-2.2.3-r1.ebuild
new file mode 100644
index 00000000..b27b7df
--- /dev/null
+++ b/media-plugins/vdr-satip/vdr-satip-2.2.3-r1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit vdr-plugin-2
+
+DESCRIPTION="VDR Plugin: integrates SAT>IP network devices seamlessly into VDR"
+HOMEPAGE="http://www.saunalahti.fi/~rahrenbe/vdr/satip/"
+SRC_URI="http://www.saunalahti.fi/~rahrenbe/vdr/satip/files/${P}.tgz"
+
+KEYWORDS="~amd64 ~x86"
+SLOT="0"
+LICENSE="GPL-2"
+IUSE=""
+
+DEPEND=">=media-video/vdr-2.2.0
+		>=net-misc/curl-7.36
+		|| ( dev-libs/tinyxml
+			dev-libs/pugixml )"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+	vdr-plugin-2_src_prepare
+
+	# c++11 compile fix
+	eapply "${FILESDIR}/${P}_c++11.patch"
+
+	if has_version "dev-libs/tinyxml" ; then
+		sed -e "s:#SATIP_USE_TINYXML:SATIP_USE_TINYXML:" -i Makefile
+	fi
+}


^ permalink raw reply related	[flat|nested] 2+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-plugins/vdr-satip/, media-plugins/vdr-satip/files/
@ 2019-10-16  5:22 Joonas Niilola
  0 siblings, 0 replies; 2+ messages in thread
From: Joonas Niilola @ 2019-10-16  5:22 UTC (permalink / raw
  To: gentoo-commits

commit:     307d53a050f2fdf625f9a64d74a4c8aab43f2980
Author:     Martin Dummer <martin.dummer <AT> gmx <DOT> net>
AuthorDate: Sun Oct  7 10:17:48 2018 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Wed Oct 16 05:21:56 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=307d53a0

media-plugins/vdr-satip: version bump to 2.2.5

new upstream version 2.2.5, to be used with vdr-2.2.x
add proxy maintainership

Closes: https://bugs.gentoo.org/667946
Package-Manager: Portage-2.3.71, Repoman-2.3.17
Signed-off-by: Martin Dummer <martin.dummer <AT> gmx.net>
Closes: https://github.com/gentoo/gentoo/pull/10095
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 media-plugins/vdr-satip/Manifest               |  1 +
 media-plugins/vdr-satip/files/confd            | 52 ++++++++++++++++++--------
 media-plugins/vdr-satip/metadata.xml           | 12 +++++-
 media-plugins/vdr-satip/vdr-satip-2.2.5.ebuild | 31 +++++++++++++++
 4 files changed, 79 insertions(+), 17 deletions(-)

diff --git a/media-plugins/vdr-satip/Manifest b/media-plugins/vdr-satip/Manifest
index b6076d3a73d..b00a76e8edc 100644
--- a/media-plugins/vdr-satip/Manifest
+++ b/media-plugins/vdr-satip/Manifest
@@ -1 +1,2 @@
 DIST vdr-satip-2.2.3.tgz 62722 BLAKE2B 408fe520b4210fa24667d4244560d5132260ce08067d482a50b12446c42c0c34fd922b3429d00c4e3550a7b1dc1d21bfac534cae9de478594751b9cf0f558d52 SHA512 451606b52831c009aaec894f0547c59a9447279d7f96a4b2291614eab09a3539849abcb6974b7c2c4b34e7b43a2f9c782ab1ea6bfd4e35f9747349065fb6a5e7
+DIST vdr-satip-2.2.5.tgz 74669 BLAKE2B e586297f0f0c1ca776d4c9f83b46da7f7afe82b80ac7e79ec2da7107c793f5c8a5092590ad23030a435e2d034b084373b9b069bac6ef81822723d33ff6c7fab2 SHA512 3f8ab1d9e84843e71bc6fc8f712d178fa3d304d0959ec977de1b11829e27b575feb78735c6770b15d4dfb8f4fce933aed7df07a6d9ba0b20e937aacd3c643a21

diff --git a/media-plugins/vdr-satip/files/confd b/media-plugins/vdr-satip/files/confd
index 6f70479f0ba..74f89381ae3 100644
--- a/media-plugins/vdr-satip/files/confd
+++ b/media-plugins/vdr-satip/files/confd
@@ -1,24 +1,46 @@
 # /etc/conf.d/vdr.satip:
 
-#Configuration:
+# Configuration:
 
-#The plugin accepts a "--devices" (-d) command-line parameter defaulting
-#to one. This parameter defines how many simultaneous transponders can
-#be received, if there are available SAT>IP tuners.
+# The plugin accepts a "--devices" (-d) command-line parameter defaulting
+# to one. This parameter defines how many simultaneous transponders can
+# be received, if there are available SAT>IP tuners.
 
-#The plugin accepts also a "--server" (-s) command-line parameter, that
-#can be used to manually configure static SAT>IP servers if autodetection
-#via UPnP somehow can't be used. The parameter string is a semicolon
-#separated list of "<ipaddress>|<model>|<description>" entries. The model
-#consists of a DVB system (DVBS2,DVBT2,DVBT,DVBC) and number of available
-#frontends separated by a hyphen:
+# The plugin accepts also a "--server" (-s) command-line parameter, that
+# can be used to manually configure static SAT>IP servers if autodetection
+# via UPnP somehow can't be used. The parameter string is a semicolon
+# separated list of "<ipaddress>|<model>|<description>" entries. The model
+# consists of a DVB system (DVBS2,DVBT2,DVBT,DVBC) and number of available
+# frontends separated by a hyphen:
 
-#vdr -P 'satip -s <ipaddress>|<model>|<description>;...'
-#vdr -P 'satip -s 192.168.0.1|DVBS2-2,DVBT2-2|Octo1'
-#vdr -P 'satip -s 192.168.0.1|DVBS2-4|Octo1;192.168.0.2|DVBT2-4|Octo2'
+#   vdr -P 'satip -s <ipaddress>|<model>|<description>;...'
+#   vdr -P 'satip -s 192.168.0.1|DVBS2-2,DVBT2-2|Octo1'
+#   vdr -P 'satip -s 192.168.0.1|DVBS2-4|Octo1;192.168.0.2|DVBT2-4|Octo2'
+
+# Some SAT>IP tuners need quirks, which the plugin tries to autodetect.
+# Check vdr log for lines like "SATIP: Adding server" what devices are found
+# and added.
+# If this autodetection is not enough, quirks can be overridden with a hexadecimal
+# number behind the description:
+
+#   vdr -P 'satip -s 192.168.0.1|DVBS2-2,DVBT2-2|EXIP414:0x40'
+
+# available quirks:
+#   eSatipQuirkSessionId  = 0x01   fix a session id bug
+#   eSatipQuirkPlayPids   = 0x02   fix a play (add/delpids) parameter bug
+#   eSatipQuirkForceLock  = 0x04   fix a frontend locking bug
+#   eSatipQuirkRtpOverTcp = 0x08   support for RTP over TCP
+#   eSatipQuirkCiXpmt     = 0x10   support the X_PMT protocol extension
+#   eSatipQuirkCiTnr      = 0x20   support the TNR protocol extension
+#   eSatipQuirkForcePilot = 0x40   fix not-supported auto-detection of pilot tones
+#
+# the quirks parameter must be the summary of the single quirks needed
+
+# Warning: specify <description> always without spaces - the gentoo vdr framework
+# will break parameters 
 
 # no default parameters
 # uncomment the next line and add your personal settings,
 # depend on the infos from ahead
-#
-#_EXTRAOPTS""
+
+#_EXTRAOPTS="-d 2 -s 192.168.0.1|DVBS2-2|Octo1"

diff --git a/media-plugins/vdr-satip/metadata.xml b/media-plugins/vdr-satip/metadata.xml
index 27f419c289c..0f020916bb4 100644
--- a/media-plugins/vdr-satip/metadata.xml
+++ b/media-plugins/vdr-satip/metadata.xml
@@ -1,8 +1,16 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
+<maintainer type="person">
+	<email>martin.dummer@gmx.net</email>
+	<name>Martin Dummer</name>
+</maintainer>
+<maintainer type="project">
+	<email>proxy-maint@gentoo.org</email>
+	<name>Proxy Maintainers</name>
+</maintainer>
 <maintainer type="project">
-<email>vdr@gentoo.org</email>
-<name>Gentoo VDR Project</name>
+	<email>vdr@gentoo.org</email>
+	<name>Gentoo VDR Project</name>
 </maintainer>
 </pkgmetadata>

diff --git a/media-plugins/vdr-satip/vdr-satip-2.2.5.ebuild b/media-plugins/vdr-satip/vdr-satip-2.2.5.ebuild
new file mode 100644
index 00000000000..026fed5a737
--- /dev/null
+++ b/media-plugins/vdr-satip/vdr-satip-2.2.5.ebuild
@@ -0,0 +1,31 @@
+# Copyright 2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit vdr-plugin-2
+
+DESCRIPTION="VDR Plugin: integrates SAT>IP network devices seamlessly into VDR"
+HOMEPAGE="http://www.saunalahti.fi/~rahrenbe/vdr/satip/"
+SRC_URI="http://www.saunalahti.fi/~rahrenbe/vdr/satip/files/${P}.tgz"
+
+KEYWORDS="~amd64 ~arm ~x86"
+SLOT="0"
+LICENSE="GPL-2"
+
+DEPEND="
+	>=media-video/vdr-2.2.0
+	>=net-misc/curl-7.36
+	|| ( dev-libs/tinyxml
+		dev-libs/pugixml )
+"
+RDEPEND="${DEPEND}"
+QA_FLAGS_IGNORED="usr/lib/vdr/plugins/libvdr-satip.* usr/lib64/vdr/plugins/libvdr-satip.*"
+
+src_prepare() {
+	vdr-plugin-2_src_prepare
+
+	if has_version "dev-libs/tinyxml" ; then
+		sed -e "s:#SATIP_USE_TINYXML:SATIP_USE_TINYXML:" -i Makefile || die "sed failed"
+	fi
+}


^ permalink raw reply related	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2019-10-16  5:22 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2019-10-16  5:22 [gentoo-commits] repo/gentoo:master commit in: media-plugins/vdr-satip/, media-plugins/vdr-satip/files/ Joonas Niilola
  -- strict thread matches above, loose matches on Subject: below --
2016-09-27 11:11 Joerg Bornkessel

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox